Package owl.ltl.visitors

## Class PrintVisitor

- java.lang.Object
- - owl.ltl.visitors.PrintVisitor

- All Implemented Interfaces:
    `Visitor<String>`

      public final class PrintVisitor
      extends Object
      implements Visitor<String>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `toString​(Formula formula, List<String> variableMapping)` |
    `static String` | `toString​(Formula formula, List<String> variableMapping, boolean parenthesize)` |
    `static String` | `toString​(LabelledFormula formula, boolean parenthesize)` |
    `String` | `visit​(Biconditional biconditional)` |
    `String` | `visit​(BooleanConstant booleanConstant)` |
    `String` | `visit​(Conjunction conjunction)` |
    `String` | `visit​(Disjunction disjunction)` |
    `String` | `visit​(FOperator fOperator)` |
    `String` | `visit​(FrequencyG freq)` |
    `String` | `visit​(GOperator gOperator)` |
    `String` | `visit​(Literal literal)` |
    `String` | `visit​(MOperator mOperator)` |
    `String` | `visit​(ROperator rOperator)` |
    `String` | `visit​(UOperator uOperator)` |
    `String` | `visit​(WOperator wOperator)` |
    `String` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public static String toString​(Formula formula,
                                        @Nullable
                                        List<String> variableMapping)

    - #### toString

          public static String toString​(Formula formula,
                                        @Nullable
                                        List<String> variableMapping,
                                        boolean parenthesize)

    - #### toString

          public static String toString​(LabelledFormula formula,
                                        boolean parenthesize)

    - #### visit

          public String visit​(Biconditional biconditional)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(FrequencyG freq)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(Literal literal)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `Visitor<String>`